Package org.springframework.security.web.server

# Class ServerHttpBasicAuthenticationConverter

java.lang.Object
org.springframework.security.web.server.ServerHttpBasicAuthenticationConverter

All Implemented Interfaces:
  `Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>`

Direct Known Subclasses:
  `ServerHttpBasicAuthenticationConverter`

@Deprecated public class ServerHttpBasicAuthenticationConverter extends Object implements Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>
Deprecated.
Use `ServerHttpBasicAuthenticationConverter` instead.
Converts from a `ServerWebExchange` to an `Authentication` that can be authenticated.

Since:
  5.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BASIC`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`ServerHttpBasicAuthenticationConverter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`apply(org.springframework.web.server.ServerWebExchange exchange)`
Deprecated.
`final void`
`setCredentialsCharset(Charset credentialsCharset)`
Deprecated.
Sets the `Charset` used to decode the Base64-encoded bytes of the basic authentication credentials.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### BASIC

public static final String BASIC
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### ServerHttpBasicAuthenticationConverter

public ServerHttpBasicAuthenticationConverter()
Deprecated.

## Method Details

### apply

@Deprecated public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> apply(org.springframework.web.server.ServerWebExchange exchange)
Deprecated.

Specified by:
  `apply` in interface `Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>`

### setCredentialsCharset

public final void setCredentialsCharset(Charset credentialsCharset)
Deprecated.
Sets the `Charset` used to decode the Base64-encoded bytes of the basic authentication credentials. The default is `UTF_8`.

Parameters:
  `credentialsCharset` - the `Charset` used to decode the Base64-encoded bytes of the basic authentication credentials
Since:
  5.7